List organization webhooks
curl --request GET \
--url https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooksimport requests
url = "https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c9d8e7f-6a5b-5c4d-8e3f-2a1b0c9d8e7f",
"realmId": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizationId": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"url": "https://hooks.example.com/p3",
"headers": {
"Authorization": "Bearer …"
},
"events": [
{
"id": "7f1b1c2e-2d3a-4b5c-9e8f-0a1b2c3d4e5f",
"source": "WALLET",
"event": "PIX_IN",
"status": "ACTIVE",
"createdAt": "2026-10-02T14:03:11.000Z"
}
],
"createdAt": "2026-10-01T09:30:00.000Z",
"updatedAt": "2026-10-02T14:03:11.000Z"
}
],
"next": "NjcxMWI0YzBkOGUxYTMwMDEyYjdjOWYy"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "NOTIFICATION",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "events",
"message": "Too big: expected array to have <=100 items",
"code": "EVENTS_MAX"
}
]
}List organization webhooks
Lists the organization’s webhooks, newest first. Realm-wide webhooks also receive the organization’s events but are not listed here — see GET /realms/{realmId}/webhooks.
GET
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
webhooks
List organization webhooks
curl --request GET \
--url https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooksimport requests
url = "https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notification.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c9d8e7f-6a5b-5c4d-8e3f-2a1b0c9d8e7f",
"realmId": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizationId": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"url": "https://hooks.example.com/p3",
"headers": {
"Authorization": "Bearer …"
},
"events": [
{
"id": "7f1b1c2e-2d3a-4b5c-9e8f-0a1b2c3d4e5f",
"source": "WALLET",
"event": "PIX_IN",
"status": "ACTIVE",
"createdAt": "2026-10-02T14:03:11.000Z"
}
],
"createdAt": "2026-10-01T09:30:00.000Z",
"updatedAt": "2026-10-02T14:03:11.000Z"
}
],
"next": "NjcxMWI0YzBkOGUxYTMwMDEyYjdjOWYy"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "NOTIFICATION",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "events",
"message": "Too big: expected array to have <=100 items",
"code": "EVENTS_MAX"
}
]
}Each webhook comes with every event it is subscribed to and whether that event is currently delivered (
status). Filter by events (comma-separated) and page with limit + next.Path Parameters
ID of your realm.
Format: UUID
ID of the organization whose webhooks you want to list.
Format: UUID
Query Parameters
Only the webhooks subscribed to at least one of these events, whatever the subscription's status. Each webhook still lists every event it is subscribed to.
Example (comma-separated list): ?events=PIX_IN,PIX_OUT
Maximum array length:
100Required string length:
1 - 100Page size, 1–100. Defaults to 15.
Required range:
1 <= x <= 100Cursor returned as next by the previous page. Omit for the first page.